Subject: From: AIList Moderator Kenneth Laws <AIList-REQUEST%sri-ai.arpa@CSNET-RELAY>

From: [email-masked]
Date: Tue, 15 Oct 85 00:01:01 edt

Received: from sri-ai.arpa by CSNET-RELAY.ARPA id a001216; 14 Oct 85 2:10 EDT
Date: Sun 13 Oct 1985 20:58-PDT
Reply-to: AIList%sri-ai.arpa@CSNET-RELAY
US-Mail: SRI Int., 333 Ravenswood Ave., Menlo Park, CA  94025
Phone: (415) 859-6467
Subject: AIList Digest   V3 #144
To: AIList%sri-ai.arpa@CSNET-RELAY
Received: from rand-relay by vpi; Mon, 14 Oct 85 23:05 EST

AIList Digest            Monday, 14 Oct 1985      Volume 3 : Issue 144

Today's Topics:
  News - Grace Murray Hopper Award,
  Intelligence & Learning - An Appreciation of Our Own Make-up,
  Archive Services - BITNIC Server for Recent Issues &
   VPI Full Archive (Micro LISP Search)

----------------------------------------------------------------------

Date: Thu 10 Oct 85 22:49:02-PDT
From: Ken Laws <[email-masked]>
Subject: Grace Murray Hopper Award

>From the October issue of CACM:

Cordell Green of Kestrel Institute was chosen "for establishing a
theoretical basis for logic programming and providing a resolution
theorem proven to carry out a programming task by constructing the
result which the computer is to compute.  For proving a constructive
technique correct and for presenting an effective method for
constructing the answer; these contributions providing an early
theoretical foundation for Prolog and logic."

------------------------------

Date: Fri, 11 Oct 85 11:42:41 GMT
From: [email-masked]
Subject: ``An Appreciation of Our Own Make-up''

>From the Guardian newspaper, 10 October 1985:-
   ``What he (Alan  Kay) would  like  to see AI people trying to
build is "not superhumans or humans,  but mammals," contrivances
that can explore  and learn  but do  not have to use language or
learn differential calculus." Ultimately, he asserts, "the basic
end of AI research is an appreciation of our own make-up." ''

I find the idea  that these "contrivances" do not  have the need
to make use of language rather strange, since there must be some
form of communication required between us and them and that will
be termed language.
The more important message of the short  quote is the repetition
of the  idea that intelligence is learning, starting from square
one  and building a  model of the world  that  is in one's view,
and the view from the chip must be through the language of data.

Gordon Joly
[email-masked]

------------------------------

Date: Thu, 10 Oct 85 12:01 EDT
From: Henry Nussbacher  <[email-masked]>
Subject: Database service available for back issues of Ai-List

This is to announce that some new services have been added to the
inter-network server running at Bitnic.  Certain selected Arpanet
digests are now being loaded into a Spires database and are therefore
searchable from anywhere as long as you can send RFC822 mail.

If you are interested in using this service, send a piece of mail to:
[email-masked]
or
[email-masked]

and have as the first 3 lines of your file (case does not matter):
help
help arpanet
help design

The server will send back to you 3 help files describing how to use the
internet server, how to search Arpanet digests and how the whole thing
was designed.  Read over the section on "Signup" carefully before making
further use of the Database server.

Presently, the following 5 Arpanet forums are being loaded into the
Database:

Name           Retention Period
=============  ================
Ai-List        2 months
Info-Ibmpc     2 months
Info-Mac       2 months
Info-Graphics  3 months
Info-Nets      3 months

The retention period is set for a short duration in order to see if
Bitnic can handle the volume of data that needs to be stored in Spires.
This service was initialized on October 4th, 1985 so currently there
are just a few items available in the Database.

Example of search command:
FIND TEXT UNIX (IN INFO-IBMPC TABLE
would find all entries in Info-Ibmpc that contain the word UNIX.
An entry is just the section within a "digested" digest that makes
reference to the word UNIX.  For further details read over the
help files.

Henry Nussbacher ([email-masked])
Bitnet Development and Operations Center

------------------------------

Date: Wed, 9 Oct 85 18:39 EST
From: Ed Fox <[email-masked]>
Subject: reply to query on micros and LISP

From: france (Robert France)
Date: Mon, 7 Oct 85 14:35:52 edt
To: fox, sharan
Subject: Re:  chance to do a useful search

Ken: Robert Blum on 3 Oct asked for information on "currently
marketed LISPs for micros" including pointers to review articles.
While our new system that will classify and work with components of
messages is not yet ready, our adaptation of the SMART system is
running and ready for queries just like this.  Robert France did
a search with the following results.  Feel free to publish in
AIList or to send directly to Blum.  Send other queries along too!
I need then for experimentation, and only request that the
author of the query be willing to tell me which messages are
relevant to the question. Thanks, Ed Fox

  [At the risk of having this message show up in all future searches,
  I've decided to pass it along.  I deleted one false hit (a query
  from Rene Bach), and I remember at least one other very lengthy
  Lisp review that was not found.  -- KIL]
_______

.I 418
.W Tuesday, 20 Sep 1983
.V Volume 1
.U Issue 59
.D Mon, 19 Sep 1983  11:41 EDT
.N

.A WELD%MIT-OZ@MIT-MC
.S Micro LISPs
.B

 For a survey of micro LISPs see the August and Sept issues of
 Microsystems magazine. The Aug issue reviews muLISP, Supersoft LISP
 and The Stiff Upper Lisp. I believe that the Sept issue will continue
 the survey with some more reviews.

 Dan
_______

.I 1113
.W Thursday, 8 Mar 1984
.V Volume 2
.U Issue 27
.D Tue 6 Mar 84 15:48:55-PST
.N Sam Hahn
.A [email-masked]
.S IQLISP Source
.B

 The source for IQLisp is:

         Integral Quality, Inc.
         P.O. Box 31970
         Seattle, WA  98103
         (206) 527-2918

 Claims to be similar to UCI Lisp, except function def's are stored in cells
 within identifiers, not on property lists; arg. handling is specified in the
 syntax of the expression defining the function, I/O functions take an explicit
 file argument, which defaults to the console; doesn't support FUNARGS.

 IQLisp does provide:
         32kb character strings,
         77000 digit long integers,
         IEEE format floating point,
         point and line graphics,
         ifc to assembly coded functions,
         31 dimensions to arrays,

 Costs $175 for program and manual, PCDOS only.

 I've taken the liberty to include some of their sales info for those who may
 not have heard of IQLisp.  It's fairly new, and they claim to soon make a
 generic MSDOS version (though probably without graphics support).
_______

.I 1264
.W Thursday, 12 Apr 1984
.V Volume 2
.U Issue 45
.D 11 Apr 1984 0206 PST
.N Reply-to: [email-masked]
.A Larry Carroll <[email-masked]
.S micro LISP review
.B

 There's a good article in the April issue of PC Tech Journal
 about three micro versions of LISP: IQ LISP, muLISP-82, and
 TLC LISP.  It gives a fair amount of implementation detail,
 contrasts them, and compares them to their mini and mainframe
 cousins.  The author is Bill Wong, who's working on his PhD in
 computer science at Rutgers.  [...]

                                 Larry Carroll
                                 Jet Propulsion Lab.
                                    larry@jpl-vlsi
_______

.I 1317
.W Sunday, 22 Apr 1984
.V Volume 2
.U Issue 51
.D 20 Apr 84 22:22:44 EST  (Fri)
.N Wayne Stoffel
.A [email-masked]
.S Review of LISP Implementations
.B

 Re: Bill Wong's article on three LISP implementations

 He also wrote a series on AI languages that appeared in Microsystems.  All
 were 8-bit CP/M implementations.

 August 1983, muLisp-80, SuperSoft Lisp, and Stiff Upper Lisp.

 December 1983, XLISP, LISP/80, and TLC Lisp.

 January 1984, micro-Prolog.

                                 W.E. Stoffel
_______

.I 1326
.W Wednesday, 25 Apr 1984
.V Volume 2
.U Issue 52
.D Sun 22 Apr 84 22:11:14-PST
.N Sam Hahn (Samuel@Score
.A Reply-to: [email-masked]
.S Another microcomputer Lisp
.B

 In line with the previous mentions of microcomputer implementations of Lisp,
 how about this pointer:

 I saw in the current (May) issue of Microsystems an advertisement for
 Waltz Lisp, from ProCode International.  "Waltz Lisp is not a toy.  It is the
 most complete microcomputer Lisp, including features previously available only
 in large Lisp systems.  In fact, Waltz is substantially compatible with Franz
 ... and is similar to MacLisp and Lisp Machine Lisp."

 Does anyone know anything about Waltz?  How about a review?

 [further claims:        functions of type lambda, nlambda, lexpr, macro
                         built-in prettyprinting and formatting
                         user control over all aspects of the interpreter
                         complete set of error handling and debugging functions
                         over 250 functions in total                     ]

 They're at POBox 7301, Charlottesville, VA  22906.
_______

.I 1753
.W Wednesday, 1 Aug 1984
.V Volume 2
.U Issue 98
.D 28 Jul 1984 2132-CDT
.N

.A Usadacs at STL-HOST1.ARPA
.S LISP in Aztec C, Public Domain
.B

   Ref: AI Digest, V2 #90 "LISP in Aztec C", is available from
 SIMTEL20 via FTP. MICRO:<SIGM.VOL118>

 A.C. McIntosh, USADACS@STL-HOST1.
_______

.I 2512
.W Sunday, 20 Jan 1985
.V Volume 3
.U Issue 5
.D Thu 17 Jan 85 00:33:35-PST
.N Sam Hahn
.A [email-masked]
.S Lisp for PC
.B

 If you're using PC's and looking for a Lisp, I'd suggest
 TLC-Lisp, from The Lisp Company.  I myself have not used GCLisp,
 but have been quite impressed with TLC-Lisp, which has a compiler,
 an object-class system, packages, auto-load entities,
 and costs less than half what GCLisp costs.

 TLC is John Allen's (The Anatomy of Lisp) company, located in
 Redwood Estates, CA.  I have no connection with TLC except as
 a customer.

                                 -- sam hahn
_______

.I 2773
.W Friday, 8 Mar 1985
.V Volume 3
.U Issue 31
.D Thu 7 Mar 85 08:44:14-PST
.N Ken Laws
.A [email-masked]
.S The Artificial Intelligence Report
.B

 Ted Markowitz recently asked about newsletters.  [...]
 The following are the topics covered in back issues of The
 Artificial Intelligence Report.  I'm told that back issues
 are still available, but I don't know the price.  [...]

 Vol. 1,  No. 3,  March, 1984
 AI and the Personal Computer: Expert systems, natural
 language,  LISP;  [...]

 Vol. 2, No. 3, March, 1985
 LISP on the PC: TLC LISP, GCLISP; [...]

 [...]

 This newsletter was the first one mentioned in AIList.  Since
 that time, it has moved from Los Altos to:

     Artificial Intelligence Publications
     Suite Three
     3600 West Bayshore Road
     Palo Alto, CA  94303 - 4229
     U. S. A.
    (415) 424-1447

                                         -- Ken Laws
_______

You might try using other keywords (names of micros?) or going further.

                                        -- Robert

------------------------------

End of AIList Digest
********************